#ifndef _WB_OVERVIEW_PRIVILEGES_H_
#define _WB_OVERVIEW_PRIVILEGES_H_

#include "wb_overview.h"

namespace wb { namespace internal {
  class PrivilegeContentListNode;

  class PrivilegeInfoNode : public OverviewBE::ContainerNode
  {
    bool add_new_user(WBContext *wb);
    bool add_new_role(WBContext *wb);
    
  public:
    PrivilegeInfoNode(const db_CatalogRef &catalog);

    virtual void paste_object(WBContext *wb, bec::Clipboard *clip);
    virtual bool is_pasteable(bec::Clipboard *clip);

    virtual int get_popup_menu_items(WBContext *wb, bec::MenuItemList &items) { return 0; }
  };

}; };

#endif /* _WB_OVERVIEW_PRIVILEGES_H_ */
